Bug 465194 - [Broadcom 6.0 FEAT] Update tg3 to version 3.94+, add 5785 / 5717 / 57780 support
[Broadcom 6.0 FEAT] Update tg3 to version 3.94+, add 5785 / 5717 / 57780 support
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: 6.0
Assigned To: John Feeney
Network QE
: FutureFeature, Reopened
Depends On:
Blocks: 595511
  Show dependency treegraph
 
Reported: 2008-10-01 21:37 EDT by Matt Carlson
Modified: 2010-11-11 11:04 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 595511 (view as bug list)
Environment:
Last Closed: 2010-11-11 11:04:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tg3: Patches to round out 5717 and 57765 support (8.13 KB, application/gzip)
2009-12-17 20:31 EST, Matt Carlson
no flags Details

  None (edit)
Description Matt Carlson 2008-10-01 21:37:58 EDT
Description of problem:

Add support for 5785, 5717, 57780

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Nottingham 2008-10-07 22:52:00 EDT
Current upstream version is 3.94, and will be included in RHEL 6, so this should not be an issue.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 RHEL Product and Program Management 2009-06-15 16:56:27 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 John Feeney 2009-09-16 15:01:56 EDT
RHEL6 appears to have the functionality required to fulfill this bugzilla so I am closing this as CURRENTRELEASE. Please re-open if this is found not to be true.
Comment 4 John Feeney 2009-09-16 15:42:31 EDT
Matt Carlson just reported that there is a patch that will be submitted upstream that is required for 5717 support so I am re-opening this bz.
Comment 5 John Feeney 2009-10-28 16:20:53 EDT
Since RHEL6 beta is being based on 2.6.32, the code required for this bz should be  included in that release. Thus I will be setting to CURRENTRELEASE.
Comment 6 Michael Chan 2009-11-17 13:25:34 EST
Please include 5717 patches currently queued for 2.6.33.
Comment 7 Matt Carlson 2009-12-17 20:31:35 EST
Created attachment 379134 [details]
tg3: Patches to round out 5717 and 57765 support

These patches round out 5717 and 57765 support.  Please include them in the next test kernel release.
Comment 8 John Feeney 2009-12-18 11:48:53 EST
Patches for tg3 were made available upstream after 2.6.32 so I am changing the state to ASSIGNED.
Comment 11 Matt Carlson 2010-05-10 18:35:35 EDT
Below is a list of patches we would like to be included.  Michael Chan made a similar listing in bug 464728 and I'm sure the same objections and concerns will arise.  I tried to make the evaluation process easier by marking those patches I found significant.  Patch titles with an (*) prepended are needed for 57765 support.  Patch titles with a (?) are optional, but nice to have.  I did not mark the VPD patches, but they should stick out enough already.  Aside from that, the rest of the commits fix real bugs, so we request their inclusion.

commit dc8bf1b1a6edfc92465526de19772061302f0929
    *tg3: Fix INTx fallback when MSI fails

commit cb903bf4ee2d6e53210e2174d363e10698112042
    ?tg3: Enable GRO by default.

commit 9dc7a1134919bda8951bf5909fb79c14defb8317
    tg3: Re-inline VLAN tags when appropriate

commit d2757fc4076118e13180e91f02c3c52659be3d9d
    tg3: Optimize rx double copy test

commit a977dbe8445b8a81d6127c4aa9112a2c29a1a008
    *tg3: Reduce 57765 core clock when link at 10Mbps

commit 1a3190254c0d1d1951e1d7e93542387c6ec82384
    *tg3: Set card 57765 card reader MRRS to 1024B

commit cea46462681d61a65a208d17206d38739c1ea1b1
    *tg3: Disable CLKREQ in L2

commit 184b89044fb6e2a74611dafa69b1dce0d98612c6
    tg3: Use VPD fw version when present

commit 75f9936e1150be739a9f6577a9d34de120ea35f1
    tg3: Prepare FW version code for VPD versioning

commit 6d40db7beaef823621ff3d340ef53d08445960b4
    ?tg3: Restore likely() check in tg3_poll_msix()

commit 3f07d1295191cfa41125e4e61ee2064790070071
    drivers/net/tg3.c: change the field used with the TG3_FLAG_10_100_ONLY constant

commit fe234f0e5cbb880792d2d1ac0743cf8c07e9dde3
    tg3: Fix tg3_poll_controller() passing wrong pointer to tg3_interrupt()

commit 4181b2c8bc29bb756ac1816678104b528377b656
    tg3: Remove now useless VPD code

commit 24daf2b0a4005f3a4e757752fcfed9da276cf202
    ?tg3: Reformat SSID to phy ID table

commit 9ea4818dd39cc8c6b31c38c9f51d19d5d4ee0be6
    ?tg3: Discover phy address once

commit 0d86df808886d4e56c46a9c356dfb81146e3b6d1
    ?tg3: Reduce indent level of tg3_rx_prodring_alloc

commit 144170635b543ceadfe6ba907ac496b40795764e
    ?tg3: Rename TG3_FLG3_RGMII_STD_IBND_DISABLE

commit b474eca74cf647df0a7fd56bc975ee4a812741b7
    tg3: Add more partno entries for fallback path

commit 2712168f856e8cd42265e7ef855d64702da20089
    tg3: Allow phylib flowctrl changes anytime

commit a4153d401ac440c73e0721db0b6b031e8e6f77d1
    tg3: Add support for 2 new selfboot formats

commit d110114281fad580dd9ce629507d17b123169cff
    tg3: Make 57791 and 57795 10/100 only

commit 61e800cf949926b3d463ca3cf3025d964872774b
    tg3: Enforce DMA mapping / skb assignment ordering

commit 1061b7c56482310bbb8197045d51e2986afabfce
    tg3: Fix AC131 loopback test errors for 5785

commit c88734054e787542ea093b02120e324e92cad882
    *tg3: Fix napi assignments in loopback test

commit 603f11738cee4d46a2a1d394ae80d718f8d37cba
    tg3: Reset phy during bringup when using phylib

commit 0339e4e3effeae71e2b19c6340ef9672fb7a2cb3
    tg3: Turn off multiple DMA reads for 5717

commit 6b10c1653e425e30cff7f41d0e6f9743bfa9810f
    *tg3: Fix 57765 A0 bootcode race condition

commit f89f38b8ec3171664314669a1396ab70b43e8961
    *tg3: Unwedge stuck MSI-X vectors

commit e92967bfb1f4fa7da7c425df9239c4bb615dec30
    *tg3: Prevent rx producer ring overruns

commit e4af1af900328e4aa71cd5df75bb22669ab11522
    *tg3: Give MSI-X vec 1 rx backlog space

commit b0f752210c0aa5e3d9ece4cbfefdc43092a68b83
    *tg3: Add 57765 phy ID and enable devices.

commit 334355aa590c4b58750015c2f5710cd5074f45dd
    *tg3: Bypass power source switching for 57765

commit cb4ed1fd8af963101a59c8c5fef97cbbf5f3fb88
    *tg3: Turn off the debug UART for 57765

commit c2353a3214ff5813c4b719b3cdacbe939b1c63a0
    *tg3: Fix tx mailbox initialization

commit 5fd68fbdaf75505a2400826c7f314a1f3121a5f7
    *tg3: Supply a nicaddr for 57765 jumbo RCB

commit 8b5a6c42e1f2277433aeefa9ee5a0c1a2473b7d8
    *tg3: Fix 5717 and 57765 memory selftests

commit ecf1410b9d70b3034e5955e92bb0c3e02ff21e9c
    ?tg3: Abort phy init for 5717 serdes devices

commit 9b952f51d019db37276bdb2924e776ca09132fc1
    ?tg3: Add 5717 serdes phy ID

commit 666bc831cf820e16cbd0c2d5be780c512b1afe15
    *tg3: Improve internal resource allocations

commit 614b05900ec3516b835cd06f848ef6bc915beeea
    tg3: Enable PLL PD when CLKREQ disabled for 5717A0


Recommended, but also included in Michael Chan's patch recommendations for
bnx2 driver additions.  (Please double check that the additions made it in
their entirety and not just to the bnx2 portions.)
==================================================

commit 4067a8541d397e9d6b443dd2ce0ecb78bfd991db
    pci: Add helper to search for VPD keywords

commit e1d5bdabb94da89bdb3c3f2ee105cf61fca88ec8
    pci: Add VPD information field helper functions

commit b55ac1b22690d2e5b02a61cf6d69c2d66969c79d
    pci: Add helper to find a VPD resource data type

commit 7ad506fa1adc2da3d394c562f09b8e1b3026c402
    pci: Add large and small resource data type code

commit a2ce766238f72ff7337606c0bc96803c30c9e05c
    pci: Add PCI LRDT tag size and section size


Recommended, but already integrated with patch named
"tg3-57780-and-5785-devices-refuse-to-attach.patch"
====================================================

commit 6a443a0f72ad7706345412dbd2e4d4981fdfce39
    tg3: Push phylib definitions to phylib

commit 79eb6904361fe4e54e589919a9b62c5e036c42c3
    tg3: Rename tg3 phy ID preprocessor definitions
Comment 12 Hushan Jia 2010-09-01 03:59:20 EDT
Hi @Broadcom,
do you have any test feedback on this? if you have tested the cards, it would be great if you post the test result.
Thanks.
Comment 13 Ben 2010-09-01 08:29:32 EDT
We have verified SS12 upon 5717/57765/5785/57780, all tests pass here.
Comment 14 Hushan Jia 2010-09-01 21:28:22 EDT
Thanks Ben, setting to verified.
Comment 15 releng-rhel@redhat.com 2010-11-11 11:04:35 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.